classification
Title: Class Decorators
Type: Stage:
Components: None Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: jackdied Nosy List: gvanrossum, jackdied
Priority: normal Keywords: patch

Created on 2007-02-28 20:40 by jackdied, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
class_decorators1.patch jackdied, 2007-02-28 20:40 Class Decorators patch
Messages (3)
msg52007 - (view) Author: Jack Diederich (jackdied) * (Python committer) Date: 2007-02-28 20:40
Patch is against rev 54035 on the pyk3 branch
PEP will be on the 3k list shortly.

Grammar/Grammar is changed from

   funcdef: [decorators] 'def' NAME parameters ['->' test] ':' suite

to

    decorated_thing: decorators (classdef | funcdef)
    funcdef: 'def' NAME parameters ['->' test] ':' suite

msg52008 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-05-07 19:18
Jack, this patch is out of date w.r.t. the current p3yk branch. Given the impending acceptance of PEP 3129, could you update it?
msg52009 - (view) Author: Jack Diederich (jackdied) * (Python committer) Date: 2007-05-18 13:46
Commited in rev 55430.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: + Python 3.0
2007-02-28 20:40:50jackdiedcreate